<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PathResult StructType
 * @subpackage Structs
 */
class PathResult extends PathBase
{
    /**
     * The Answer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Answer
     */
    public $Answer;
    /**
     * Constructor method for PathResult
     * @uses PathResult::setAnswer()
     * @param \StructType\Answer $answer
     */
    public function __construct(\StructType\Answer $answer = null)
    {
        $this
            ->setAnswer($answer);
    }
    /**
     * Get Answer value
     * @return \StructType\Answer|null
     */
    public function getAnswer()
    {
        return $this->Answer;
    }
    /**
     * Set Answer value
     * @param \StructType\Answer $answer
     * @return \StructType\PathResult
     */
    public function setAnswer(\StructType\Answer $answer = null)
    {
        $this->Answer = $answer;
        return $this;
    }
}
